Hierarch Asterios:
Elven Scouts are the sentries of the forest, and have protected the Elven home from invaders for thousands of years. Since their footsteps are lighter than feathers, they can walk and run over the fallen leaves without making any noise as they approach their opponents. They suddenly launch fatal attacks with bows or daggers, then disappear as if into thin air as they blend into the forest.
The most talented Elven Scouts are selected as Plainswalker, the Ranger elite. Others among the Elven Scouts are selected as Silver Rangers, and train in the utmost mastery of archery.
Ask about changing occupation to an Elven Scout
Return